;[(o)Extract IP]      <- appear under Menu\External\
; (o)means allow to execute under logging mode, 
;    this keyword will not appear in the Menu\External\
;+clgcap.exe "%f"  <- command
;prefix:
;+ means wait until finish execution
;- means return immediately after execution
;default is +
;support argument:
;%f: whole file path of current opened file  (ex: D:\temp\log.clg)
;%n: file name without extension             (ex: log) 
;%p: only directory path                     (ex: D:\temp)
;%pn: whole file path without extension      (ex: D:\temp\log)
;%exep: only directory path of execution file(ex: D:\[3.8.00]Catcher)
;*******************************************************************
;  If you just use the executable module name directly,
;  please make sure its file path could be found in windows environment PATH
;*******************************************************************

[Extract IP from R8 GPD,BD and Generic PS_DATA_REQ/IND]
+"%exep\External\clgcap.exe" -r8generic "%f"

[Extract IP from RATDM_TCPIP]
+"%exep\External\clgcap.exe" -ratdmtcpip "%f"

[Extract IP from CMUX_RATDM]
+"%exep\External\clgcap.exe" -cmuxratdm "%f"

[Extract IP from RATDM_PPP]
+"%exep\External\clgcap.exe" -ratdmppp "%f"

[Extract IP from NDIS_RATDM]
+"%exep\External\clgcap.exe" -ndisratdm "%f"

[Extract IP from TCPIP_PPP (CSD)]
+"%exep\External\clgcap.exe" -c -tcpipppp "%f"

[Extract IP from TCPIP_TCM]
+"%exep\External\clgcap.exe" -tcpiptcm "%f"

[Extract IP from TCPIP_WNDRV (Wi-Fi)]
+"%exep\External\clgcap.exe" -c -wifi "%f"

[Extract IP from TCPIP_LOOPBACK]
+"%exep\External\clgcap.exe" -loopback "%f"

[Extract IP from GRR]
+"%exep\External\clgcap.exe" -grr "%f"

[Extract IP from LLSND]
+"%exep\External\clgcap.exe" -llsnd "%f"

[Extract IP from TCMSND]
+"%exep\External\clgcap.exe" -tcmsnd "%f"

[Extract IP from TCMRATDM]
+"%exep\External\clgcap.exe" -tcmratdm "%f"

[Extract IP from RATDMRABM]
+"%exep\External\clgcap.exe" -ratdmrabm "%f"

[Extract IP from RATDMSND]
+"%exep\External\clgcap.exe" -ratdmsndcp "%f"

[Extract IP from PDCPDRLC]
+"%exep\External\clgcap.exe" -pdcpdrlc "%f"

[Extract IP from TCMCMUX]
+"%exep\External\clgcap.exe" -tcmcmux "%f"

[Ethereal ˇVGeneric PS_DATA_REQ/IND, extract if not present]
+"%exep\External\clgcap.exe" -r8generic "%f"
-cmd /c start "" "%pn_r8generic.cap"

[Ethereal ˇVRATDM_TCPIP, extract if not present]
+"%exep\External\clgcap.exe" -c -ratdmtcpip "%f"
-cmd /c start "" "%pn_ratdmtcpip.cap"

[Ethereal ˇVCMUX_RATDM, extract if not present]
+"%exep\External\clgcap.exe" -c -cmuxratdm "%f"
-cmd /c start "" "%pn_cmuxratdm.cap"

[Ethereal ˇVRATDM_PPP, extract if not present]
+"%exep\External\clgcap.exe" -c -ratdmppp "%f"
-cmd /c start "" "%pn_ratdmppp.cap"

[Ethereal ˇVNDIS_RATDM, extract if not present]
+"%exep\External\clgcap.exe" -c -ndisratdm "%f"
-cmd /c start "" "%pn_ndisratdm.cap"

[Ethereal -TCPIP_PPP (CSD), extract if not present]
+"%exep\External\clgcap.exe" -c -tcpipppp "%f"
-cmd /c start "" "%pn_tcpip_ppp.cap"

[Ethereal -TCPIP_TCM, extract if not present]
+"%exep\External\clgcap.exe" -c "%f"
-cmd /c start "" "%pn_tcpiptcm.cap"

[Ethereal -TCPIP_WNDRV(Wi-Fi), extract if not present]
+"%exep\External\clgcap.exe" -c -wifi "%f"
-cmd /c start "" "%pn_tcpip_wndrv.cap"

[Ethereal -TCPIP_LOOPBACK, extract if not present]
+"%exep\External\clgcap.exe" -c -loopback "%f"
-cmd /c start "" "%pn_tcpip_loopback.cap"

[Ethereal -LLC_RLC, extract if not present]
+"%exep\External\clgcap.exe" -c -grr "%f"
-cmd /c start "" "%pn_grr.cap"

[Ethereal -LLSND, extract if not present]
+"%exep\External\clgcap.exe" -c -llsnd "%f"
-cmd /c start "" "%pn_llsnd.cap"

[Ethereal -TCMSND, extract if not present]
+"%exep\External\clgcap.exe" -c -tcmsnd "%f"
-cmd /c start "" "%pn_tcmsnd.cap"

[Ethereal -TCMRATDM, extract if not present]
+"%exep\External\clgcap.exe" -c -tcmratdm "%f"
-cmd /c start "" "%pn_tcmratdm.cap"

[Ethereal -RATDMRABM, extract if not present]
+"%exep\External\clgcap.exe" -c -ratdmrabm "%f"
-cmd /c start "" "%pn_ratdmrabm.cap"

[Ethereal -RATDMSNDCP, extract if not present]
+"%exep\External\clgcap.exe" -c -ratdmsndcp "%f"
-cmd /c start "" "%pn_ratdmsndcp.cap"

[Ethereal -PDCPPDRLC, extract if not present]
+"%exep\External\clgcap.exe" -c -pdcpdrlc "%f"
-cmd /c start "" "%pn_pdcpdrlc.cap"

[Ethereal -TCMCMUX, extract if not present]
+"%exep\External\clgcap.exe" -c -tcmcmux "%f"
-cmd /c start "" "%pn_tcmcmux.cap"

